//
//  YHMatchPeopleViewController.swift
//  galaxy
//
//  Created by edy on 2024/6/18.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHMatchPeopleViewController: YHBaseViewController {

    
    var matchArr:[String] = ["", "", ""]
    
    lazy var bgImgV:UIImageView = {
        let bg = UIImageView(image: UIImage(named: "people_match_bg"))
        return bg
    }()
    
    lazy var topLabel:UILabel = {
        let label = UILabel()
        label.textAlignment = .center
        label.textColor = UIColor.white
        label.font = UIFont.PFSC_R(ofSize:16)
        label.text = "为您匹配适合您的优质人脉"
        return label
    }()
    
    lazy var changeBtn:UIButton = {
        let btn = UIButton()
        btn.setImage(UIImage(named: "people_match_change"), for: .normal)
        btn.setTitle("换一换", for: .normal)
        btn.setTitleColor(UIColor.white, for: .normal)
        btn.titleLabel?.font = UIFont.PFSC_M(ofSize:15)
//        btn.titleEdgeInsets = UIEdgeInsets(top: 0, left: -21, bottom: 0, right: 21)
//        btn.imageEdgeInsets = UIEdgeInsets(top: 0, left: 45, bottom: 0, right: -45)
        return btn
    }()
    
    lazy var myCardBtn:UIButton = {
        let btn = UIButton()
        btn.setImage(UIImage(named: "people_match_nameCard"), for: .normal)
        btn.setTitle("我的名片", for: .normal)
        btn.setTitleColor(UIColor.white, for: .normal)
        btn.titleLabel?.font = UIFont.PFSC_M(ofSize:15)
//        btn.titleEdgeInsets = UIEdgeInsets(top: 0, left: -21, bottom: 0, right: 21)
//        btn.imageEdgeInsets = UIEdgeInsets(top: 0, left: 60, bottom: 0, right: -60)
        return btn
    }()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        createUI()
    }
    
    func createUI() {
        self.view.addSubview(bgImgV)
        self.view.addSubview(topLabel)
        self.view.addSubview(changeBtn)
        self.view.addSubview(myCardBtn)
        let lineView = UIView()
        lineView.backgroundColor = UIColor(hex: 0xFFFFFF, alpha: 0.3)
        self.view.addSubview(lineView)
        
        let wingLeftImgV = UIImageView(image: UIImage(named: "people_match_wing_left"))
        self.view.addSubview(wingLeftImgV)
        
        let wingRightImgV = UIImageView(image: UIImage(named: "people_match_wing_right"))
        self.view.addSubview(wingRightImgV)

        
        self.bgImgV.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
        self.topLabel.snp.makeConstraints { make in
            make.centerX.equalToSuperview()
            make.top.equalTo(50+k_Height_NavigationtBarAndStatuBar)
            make.height.equalTo(22)
        }
        self.changeBtn.snp.makeConstraints { make in
            make.height.equalTo(60)
            make.width.equalTo(130)
            make.bottom.equalToSuperview().offset(-80)
            make.right.equalTo(self.view.snp.centerX)
        }
        self.myCardBtn.snp.makeConstraints { make in
            make.height.equalTo(60)
            make.width.equalTo(140)
            make.bottom.equalToSuperview().offset(-80)
            make.left.equalTo(self.view.snp.centerX)
        }
        lineView.snp.makeConstraints { make in
            make.width.equalTo(1)
            make.height.equalTo(13)
            make.centerX.equalToSuperview()
            make.centerY.equalTo(self.changeBtn)
        }
        
        wingLeftImgV.snp.makeConstraints { make in
            make.width.height.equalTo(19)
            make.right.equalTo(self.topLabel.snp.left)
            make.centerY.equalTo(self.topLabel)
        }
        wingRightImgV.snp.makeConstraints { make in
            make.width.height.equalTo(19)
            make.left.equalTo(self.topLabel.snp.right)
            make.centerY.equalTo(self.topLabel)
        }
        animaiton()
    }
    
    func animaiton() {
        
        let view1 = YHNameCardInfoView.createCardView()
        view1.y = -YHNameCardInfoView.height
        view1.x = 38
        let view2 = YHNameCardInfoView.createCardView()
        view2.cardView.backgroundColor = UIColor.init(hex: 0xE7EBF3)
        view2.y = -YHNameCardInfoView.height
        view2.x = 38+5
        view2.width = YHNameCardInfoView.width-5*2
        let view3 = YHNameCardInfoView.createCardView()
        view3.cardView.backgroundColor = UIColor.init(hex: 0xC4CEE3)
        view3.y = -YHNameCardInfoView.height
        view3.x = 38+10
        view3.width = YHNameCardInfoView.width-5*4
        
        self.view.addSubview(view3)
        self.view.addSubview(view2)
        self.view.addSubview(view1)

        UIView.animate(withDuration: 0.5, delay: 0, options: [.curveEaseInOut]) {
            view3.y = 102+k_Height_NavigationtBarAndStatuBar+5*2
        } completion: { finish in }
        
        UIView.animate(withDuration: 0.5, delay: 0.1, options: [.curveEaseInOut]) {
            view2.y = 102+k_Height_NavigationtBarAndStatuBar+5
        } completion: { finish in }
        
        UIView.animate(withDuration: 0.5, delay: 0.1, options: [.curveEaseInOut]) {
            view1.y = 102+k_Height_NavigationtBarAndStatuBar
        } completion: { finish in }
        
    }
}
