//
//  YHNameCardInfoView.swift
//  galaxy
//
//  Created by edy on 2024/6/18.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHNameCardInfoView: UIView {

    static let height = 456.0
    static let width = KScreenWidth-36.0*2
    
    lazy var cardView: UIView = {
        let view = UIView()
        view.backgroundColor = .white
        view.layer.cornerRadius = 3.0
        view.clipsToBounds = true
        return view
    }()
    
    lazy var bgImgV:UIImageView = {
        let view = UIImageView()
        view.image = UIImage(named: "people_card_head_bg")
        view.backgroundColor = .red
        return view
    }()
    
    lazy var headImgV:UIImageView = {
        let view = UIImageView()
        view.image = UIImage(named: "")
        view.layer.cornerRadius = 98.0/2.0
        view.backgroundColor = .green
        return view
    }()
    
    lazy var signImgV:UIImageView = {
        let view = UIImageView()
        view.image = UIImage(named: "people_sign")
        return view
    }()
    
    lazy var nameLabel:UILabel = {
        let nameLabel = UILabel()
        nameLabel.textAlignment = .center
        nameLabel.textColor = UIColor.mainTextColor
        nameLabel.font = UIFont.PFSC_B(ofSize:18)
        return nameLabel
    }()
    
    lazy var professionalLabel:UILabel = {
        let label = UILabel()
        label.textAlignment = .center
        label.textColor = UIColor.mainTextColor
        label.font = UIFont.PFSC_R(ofSize:14)
        label.numberOfLines = 0
        return label
    }()
    
    lazy var grayContentView:UIView = {
        let view = UIView()
        view.backgroundColor = UIColor(hex: 0xF4F6FA)
        view.layer.cornerRadius = 3.0
        return view
    }()
    
    lazy var detailLabel:UILabel = {
        let label = UILabel()
        label.textColor = UIColor.mainTextColor50
        label.textAlignment = .left
        label.font = UIFont.PFSC_R(ofSize:13)
        label.numberOfLines = 0
        return label
    }()
    
    lazy var bottomBtn:UIButton = {
        let btn = UIButton()
        btn.backgroundColor = .brandMainColor
        btn.setTitle("交换名片", for: .normal)
        btn.setTitleColor(.white, for: .normal)
        btn.titleLabel?.font = .PFSC_M(ofSize: 15)
        btn.layer.cornerRadius = 3.0
        return btn
    }()
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        createUI()
    }
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    static func createCardView() -> YHNameCardInfoView {
        let view = YHNameCardInfoView(frame: CGRect(x: 0, y: 0, width: Self.width, height: Self.height))
        return view
    }
    
    func show() {
        self.center = CGPointMake(KScreenWidth/2.0, KScreenHeight/2.0)
        UIApplication.shared.yhKeyWindow()?.addSubview(self)
        
    }
    
    func createUI() {
        self.addSubview(self.cardView)
        cardView.addSubview(self.bgImgV)
        cardView.addSubview(self.headImgV)
        cardView.addSubview(self.signImgV)
        cardView.addSubview(self.nameLabel)
        cardView.addSubview(self.professionalLabel)
        cardView.addSubview(self.grayContentView)
        grayContentView.addSubview(self.detailLabel)
        cardView.addSubview(self.bottomBtn)
        
        nameLabel.text = "阿斯顿法师打发沙发上"
        professionalLabel.text = "啊发沙发沙发沙发沙发沙发三大发沙发的算法的算法的沙发沙发萨达1"
        detailLabel.text = "阿萨法法师懂法守法萨芬沙发沙发发说法发生发顺丰"
        
        self.cardView.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
        
        self.bgImgV.snp.makeConstraints { make in
            make.left.top.right.equalToSuperview()
            make.height.equalTo(180)
        }
        
        self.headImgV.snp.makeConstraints { make in
            make.width.height.equalTo(98)
            make.centerX.equalToSuperview()
            make.bottom.equalTo(self.bgImgV).offset(30)
        }
        
        self.signImgV.snp.makeConstraints { make in
            make.centerX.equalTo(self.headImgV)
            make.width.equalTo(49)
            make.height.equalTo(17)
            make.bottom.equalTo(self.headImgV)
        }
        
        self.nameLabel.snp.makeConstraints { make in
            make.left.equalTo(18)
            make.right.equalTo(-18)
            make.height.equalTo(30)
            make.top.equalTo(self.signImgV.snp.bottom).offset(10)
            make.centerX.equalToSuperview()
        }
        
        self.professionalLabel.snp.makeConstraints { make in
            make.left.equalTo(18)
            make.right.equalTo(-18)
            make.height.equalTo(20)
            make.top.equalTo(self.nameLabel.snp.bottom).offset(8)
        }
        
        self.grayContentView.snp.makeConstraints { make in
            make.left.equalTo(18)
            make.right.equalTo(-18)
            make.height.equalTo(72)
            make.top.equalTo(self.professionalLabel.snp.bottom).offset(10)
        }
        
        self.detailLabel.snp.makeConstraints { make in
            make.left.top.equalTo(16)
            make.right.bottom.equalTo(-16)
        }

        self.bottomBtn.snp.makeConstraints { make in
            make.left.equalTo(18)
            make.right.equalTo(-18)
            make.height.equalTo(46)
            make.top.equalTo(self.grayContentView.snp.bottom).offset(32)

        }
    }
}
