//
//  YHInformationAuthorizeViewModel.swift
//  galaxy
//
//  Created by EDY on 2024/6/18.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHInformationAuthorizeViewModel: YHBaseViewModel {
    var mainModel: YHMainUserInformationModel = YHMainUserInformationModel()
    var setModel: YHMainUserInformationSetModel = YHMainUserInformationSetModel()
    override init() {
        super.init()
    }
    
    func getBaseDataSource() -> [YHUserInformationModel] {
        let item1 = YHUserInformationModel(id: .id1, title: "真实姓名", isUserKeyBoard: true, prompts: "请输入您的真实姓名", message: mainModel.username)
        var string = ""
        let array = mainModel.area
        for item in array {
            if string.count != 0 {
                string = string + "/" + item
            } else {
                string = string + item
            }
        }
        let item2 = YHUserInformationModel(id: .id2, title: "所在地", isUserKeyBoard: false, prompts: "请选择您的所在地", message: string, type: .address, value: mainModel.area)
        let item3 = YHUserInformationModel(id: .id3, title: "毕业院校", isUserKeyBoard: true, prompts: "请输入您的毕业院校", message: mainModel.school)
        let item4 = YHUserInformationModel(id: .id4, title: "所属行业", isUserKeyBoard: false, prompts: "请选择您的所属行业", message: mainModel.industry, type: .id)
        let item5 = YHUserInformationModel(id: .id5, title: "职位", isUserKeyBoard: true, prompts: "请输入您的职位", message: mainModel.position)
        return [item1, item2, item3, item4, item5]
    }
    
    func updateModel(_ item: YHUserInformationModel) {
        guard let type = item.id else { return }
        switch type {
        case .id1:
            mainModel.username = item.message ?? ""
        case .id2:
            mainModel.area = item.value ?? []
        case .id3:
            mainModel.school = item.message ?? ""
        case .id4:
            mainModel.industry = item.message ?? ""
        case .id5:
            mainModel.position = item.message ?? ""
        }
    }
    
    func isCanNext() -> Bool {
        let username = mainModel.username
        let school = mainModel.school
        let area = mainModel.area
        let industry = mainModel.industry
        let position = mainModel.position
        guard username.count > 0 else { return false }
        guard school.count > 0 else { return false }
        guard industry.count > 0 else { return false }
        guard position.count > 0 else { return false }
        guard area.count > 0 else { return false }
        return true
    }

    func getBaseSetDataSource() -> [YHSettingItem] {
        let item1 = YHSettingItem(type: .people, title: "授权AI人脉匹配", subTitle: "开启后，您的信息将用于AI人脉匹配，为您构建高质量的人脉网络", isSelect: setModel.isRea, isShowAlert: true)
        let item2 = YHSettingItem(type: .school, title: "允许向好友公开您的教育经历", subTitle: "开启后，您的教育经历将在您的个人名片上对已交换名片的好友可见", isSelect: setModel.isSchool, isShowAlert: true)
        let item3 = YHSettingItem(type: .work, title: "允许向好友公开您的工作经历", subTitle: "开启后，您的工作经历将在您的个人名片上对已交换名片的好友可见", isSelect: setModel.isWork, isShowAlert: true)
        return [item1, item2, item3]
    }
    
    func updateSetModel(_ item: YHSettingItem) {
        switch item.type {
        case .normal: break
            
        case .people:
            setModel.isRea = item.isSelect
        case .school:
            setModel.isSchool = item.isSelect
        case .work:
            setModel.isWork = item.isSelect
        }
    }
}
